[API Reference](../README.md) > [StakeConfig](../interfaces/StakeConfig.md)

# Interface: StakeConfig

## Hierarchy

**StakeConfig**

## Index

### Properties

* [amount](StakeConfig.md#amount)
* [proposalId](StakeConfig.md#proposalId)
* [vote](StakeConfig.md#vote)

---

## Properties

<a id="amount"></a>

###  amount

**● amount**: * `BigNumber` &#124; `string`
*

*Defined in [wrappers/genesisProtocol.ts:1264](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1264)*

token amount to stake on the outcome resulting in this vote, in Wei

___
<a id="proposalId"></a>

###  proposalId

**● proposalId**: *`string`*

*Defined in [wrappers/genesisProtocol.ts:1268](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1268)*

unique hash of proposal index

___
<a id="vote"></a>

###  vote

**● vote**: *`number`*

*Defined in [wrappers/genesisProtocol.ts:1272](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1272)*

the choice of vote. Can be 1 (YES) or 2 (NO).

___

